routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/ 

# -----------------------------------------------------------
# WEBSITE
# -----------------------------------------------------------
Route::namespace('App\Http\Controllers\Frontend')
    ->group(function() {
    // webiste
    Route::get('/', 'FrontendController@index')->name('/');
    Route::get('page', 'FrontendController@index');
    Route::get('page/{page}', 'FrontendController@index');
 
    # -----------------------------------------------------------
    # CLIENT
    # -----------------------------------------------------------  
    Route::name('client.')
        ->prefix('client') 
        ->group(function() { 
        // auth
        Route::post('signin', 'AuthController@signin')->name('signin');
        Route::post('signup', 'AuthController@signup')->name('signup'); 
        Route::get('signout', 'AuthController@signout')->name('signout');
        Route::get('account-confirmation/{token}/', 'AuthController@accountConfirmation')->name('account-confirmation');
        Route::post('forgot-password', 'AuthController@forgotPassword')->name('forgot-password');
        // # login - {provider: google}
        // Route::get('login/{provider}', 'FrontendController@redirectToProvider');
        // Route::get('login/{provider}/callback', 'FrontendController@handleProviderCallback'); 

        # -----------------------------------------------------------
        # AUTHORIZED 
        # -----------------------------------------------------------
        Route::middleware(['auth', 'roles:client'])
            ->group(function() { 

            Route::get('/', 'ClientController@signin')->name('dashboard');
            Route::get('dashboard', 'ClientController@dashboard')->name('dashboard');
            Route::get('profile', 'ClientController@profile')->name('profile');
            Route::put('profile', 'ClientController@profileUpdate')->name('profile');
            Route::get('token', 'ClientController@token')->name('token');
            Route::post('token', 'ClientController@tokenGenerate')->name('token');
            Route::get('token/report', 'ClientController@tokenReport')->name('report');
            Route::post('token/data', 'ClientController@tokenData')->name('token.data');
            Route::post('token/print', 'ClientController@tokenShow')->name('token.print');
            Route::get('token/stoped/{id}', 'ClientController@stoped');
            Route::post('token/generate', 'ClientController@generate')->name('token.generate');
        });
    });
});

# -----------------------------------------------------------
# BACKENDLOGIN
# -----------------------------------------------------------
# login
Route::get('auth', 'App\Http\Controllers\Common\LoginController@login')->name('auth.login');
Route::get('auth/login', 'App\Http\Controllers\Common\LoginController@login')->name('auth.login');
Route::post('auth/login', 'App\Http\Controllers\Common\LoginController@checkLogin');
Route::get('auth/logout', 'App\Http\Controllers\Common\LoginController@logout')->name('auth.logout');


# -----------------------------------------------------------
# CLEAN CACHE
# -----------------------------------------------------------
Route::get('clean', function () {
    \Illuminate\Support\Facades\Artisan::call('view:clear');
    // \Illuminate\Support\Facades\Artisan::call('config:clear');
    \Illuminate\Support\Facades\Artisan::call('cache:clear');
    \Illuminate\Support\Facades\Artisan::call('clear-compiled');
    \Illuminate\Support\Facades\Artisan::call('route:clear');
    dd('Cached Cleared');
});


# -----------------------------------------------------------
# BACKEND SYSTEM USER COMMON 
# -----------------------------------------------------------
Route::prefix('common')
    ->namespace('App\Http\Controllers\Common')
    ->group(function() { 
    # switch language
    Route::get('language/{locale?}', 'LanguageController@index');

    # cron job
    Route::get('jobs', 'CronjobController@jobs');

    # display 
    Route::get('display','DisplayController@display');  
    Route::post('display1', 'DisplayController@display1');  
    Route::post('display2','DisplayController@display2');  
    Route::post('display3','DisplayController@display3'); 
    Route::post('display4','DisplayController@display4'); 
    Route::post('display5','DisplayController@display5'); 

    # -----------------------------------------------------------
    # AUTHORIZED COMMON 
    # -----------------------------------------------------------
    Route::middleware('auth') 
        ->group(function() { 
        #message notification
        Route::get('message/notify','NotificationController@message'); 
        # message  
        Route::get('message','MessageController@show'); 
        Route::post('message','MessageController@send'); 
        Route::get('message/inbox','MessageController@inbox'); 
        Route::post('message/inbox/data','MessageController@inboxData'); 
        Route::get('message/sent','MessageController@sent'); 
        Route::post('message/sent/data','MessageController@sentData'); 
        Route::get('message/details/{id}/{type}','MessageController@details'); 
        Route::get('message/delete/{id}/{type}','MessageController@delete');  
        Route::post('message/attachment','MessageController@UploadFiles'); 

        # profile 
        Route::get('setting/profile','ProfileController@profile');
        Route::get('setting/profile/edit','ProfileController@profileEditShowForm');
        Route::post('setting/profile/edit','ProfileController@updateProfile');
    });
});

# -----------------------------------------------------------
# BACKEND AUTHORIZED
# -----------------------------------------------------------
Route::group(['middleware' => ['auth']], function() {

    # -----------------------------------------------------------
    # ADMIN
    # -----------------------------------------------------------
    Route::prefix('admin')
        ->namespace('App\Http\Controllers\Admin')
        ->middleware('roles:admin')
        ->group(function() { 
        # home
        Route::get('/', 'HomeController@home');

        # user 
        Route::get('user', 'UserController@index');
        Route::post('user/data', 'UserController@userData');
        Route::get('user/create', 'UserController@showForm');
        Route::post('user/create', 'UserController@create');
        Route::get('user/view/{id}','UserController@view');
        Route::get('user/edit/{id}','UserController@showEditForm');
        Route::post('user/edit','UserController@update');
        Route::get('user/delete/{id}','UserController@delete');

        # department
        Route::get('department','DepartmentController@index');
        Route::get('department/create','DepartmentController@showForm');
        Route::post('department/create','DepartmentController@create');
        Route::get('department/edit/{id}','DepartmentController@showEditForm');
        Route::post('department/edit','DepartmentController@update');
        Route::get('department/delete/{id}','DepartmentController@delete');

        # counter
        Route::get('counter','CounterController@index');
        Route::get('counter/create','CounterController@showForm');
        Route::post('counter/create','CounterController@create');
        Route::get('counter/edit/{id}','CounterController@showEditForm');
        Route::post('counter/edit','CounterController@update');
        Route::get('counter/delete/{id}','CounterController@delete');

        # sms
        Route::get('sms/new', 'SmsSettingController@form');
        Route::post('sms/new', 'SmsSettingController@send');
        Route::get('sms/list', 'SmsSettingController@show');
        Route::post('sms/data', 'SmsSettingController@smsData');
        Route::get('sms/delete/{id}', 'SmsSettingController@delete');
        Route::get('sms/setting', 'SmsSettingController@setting');
        Route::post('sms/setting', 'SmsSettingController@updateSetting');

        # mail
        Route::get('mail/new', 'MailSettingController@form');
        Route::post('mail/new', 'MailSettingController@send');
        Route::get('mail/list', 'MailSettingController@show');
        Route::get('mail/contract', 'MailSettingController@contract');
        Route::post('mail/data', 'MailSettingController@mailData');
        Route::get('mail/delete/{id}', 'MailSettingController@delete');
        Route::get('mail/setting', 'MailSettingController@setting');
        Route::post('mail/setting', 'MailSettingController@updateSetting');

        # token
        Route::get('token/setting','TokenController@tokenSettingView'); 
        Route::post('token/setting','TokenController@tokenSetting'); 
        Route::get('token/setting/delete/{id}','TokenController@tokenDeleteSetting');
        Route::post('token/autoview','TokenController@tokenAutoView'); 
        Route::post('token/auto','TokenController@tokenAuto'); 
        Route::get('token/current','TokenController@current');
        Route::get('token/report','TokenController@report');  
        Route::post('token/report/data','TokenController@reportData');  
        Route::get('token/performance','TokenController@performance');  
        Route::get('token/create','TokenController@showForm');
        Route::post('token/create','TokenController@create');
        Route::post('token/print', 'TokenController@viewSingleToken');
        // Route::get('token/complete/{id}','TokenController@complete');
        Route::get('token/stoped/{id}','TokenController@stoped');
        Route::get('token/recall/{id}','TokenController@recall');

app/Http/Controllers/Frontend/FrontendController.php
<?php
namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;  

use App\Models\Setting; 
use App\Models\Website; 
use App\Models\User;
use App\Models\Token;
use App\Models\UserSocialAccount;
use Session;

class FrontendController extends Controller
{   
    public function index(Request $request)
    {
        $app  = Setting::first();
        if (!$app->website) 
        {
            return redirect('auth');
        }
        $contents = $this->contents();

        if (!empty($contents->page->{$request->page})) 
        { 
            $page = $contents->page->{$request->page};
            return view('frontend.page.page', compact(
                'app',
                'page',
                'contents'
            ));  
        } 
        else 
        {
            $officers = User::where('status', 1)
                ->whereIn('user_type', [1,5])
                ->get();
            $counters = $this->counters();

            return view('frontend.page.home', compact(
                'app',
                'contents',
                'officers',
                'counters'
            )); 
        }
    }
  
    public function contents()
    {
        $contents = Website::where('status', 1)
            ->orderByRaw("FIELD(type, 'slider', 'section', 'page') ASC") 
            ->orderBy('position', 'ASC')
            ->orderBy('menu', 'ASC')
            ->get();

        $menus    = [];
        $sliders  = [];
        $sections = [];
        $page     = []; 

        foreach ($contents as $content) 
        { 
            $data = (object)[
                "menu"        => ucfirst(str_replace('-', ' ', $content->menu)),
                "title"       => $content->title,
                "sub_title"   => $content->sub_title,
                "description" => $content->description,
                "image"       => asset($content->image),
                "url"         => $content->url
            ];

            if ($content->type  == 'slider')
            {
                $menus["#home"] = "Home";
                $sliders[] = $data;
            }
            else if ($content->type  == 'section')
            {
                $menus["#{$content->menu}"] = ucfirst(str_replace('-', ' ', $content->menu));
                $sections[$content->menu] = $data;
            }
            else if ($content->type  == 'page')
            {
                $menus[url("page/{$content->menu}")] = ucfirst(str_replace('-', ' ', $content->menu));
                $page[$content->menu]  = $data;
            }
        }

        \Session::put('menus', $menus);

        return (object)[
            'menus'    => (object)$menus,
            'sliders'  => (object)$sliders,
            'sections' => (object)$sections,
            'page'     => (object)$page
        ];
    }

    public function counters()
    {
        $infobox = array();
        $tokens  = Token::selectRaw("
                COUNT(CASE WHEN status = '0' THEN id END) AS pending,
                COUNT(CASE WHEN status = '1' THEN id END) AS complete,
                COUNT(CASE WHEN status = '2' THEN id END) AS stop,
                COUNT(id) AS total
            ")
            ->first();
        $infobox['Clients']        = User::where('user_type', 3)->count();
        $infobox['Total Token']    = $tokens->total;
        $infobox['Total Pending']  = $tokens->pending;
        $infobox['Total Complete'] = $tokens->complete;

        return $infobox; 
    } 
}

resources/views/frontend/client/profile.blade.php
@extends('layouts.frontend')
 
@section('content')
<!-- Page --> 
<section id="dashboard" class="common-section">
    <div class="container">
        <div class="row"> 
            <div class="col-sm-12">
                <div class="about-us-text">
                    <h5 class="text-uppercase">{{ trans('app.profile_setting') }}</h5> 

                    @include('backend.common.info')
                    @yield('info.message')  

                    {{ Form::open(['route'=>'client.profile', 'method'=>'put', 'files'=>true, 'id'=>'profileFrm', 'class'=>'row']) }}

                        @if(empty($user->mobile) && !empty($display) && ($display->sms_alert=='1'))
                        <input name="mobile_required" type="hidden" value="1">
                        @endif

                        <div class="col-sm-4 col-md-3">
                            <img src="{{ asset((session('photo')?session('photo'):(!empty($user->photo)?$user->photo:'public/assets/img/icons/no_user.jpg'))) }}" alt="Photo" class="thumbnail">

                            <input type="hidden" name="old_photo" value="{{ ((session('photo') != null) ? session('photo') : $user->photo) }}">  

                            <div class="form-group @error('photo') has-error @enderror">
                                <input name="photo" type="file" placeholder="{{ trans('app.photo') }}" class="form-control" id="photo" value="{{ old('photo')?old('photo'):$user->photo }}">
                                <label for="photo">{{ trans('app.photo') }}</label>
                                <p class="help-block">{{ $errors->first('photo') }}</p>
                            </div>  
                        </div> 

                        <div class="col-sm-8 col-md-9">  
                            <div class="row clear">
                                <div class="col-sm-6">
                                    <div class="form-group @error('firstname') has-error @enderror">
                                        <input name="firstname" type="text" placeholder="{{ trans('app.firstname') }}" class="form-control" id="firstname" value="{{ old('firstname')?old('firstname'):$user->firstname }}">
                                        <label for="firstname">{{ trans('app.firstname') }}</label>
                                        <p class="help-block">{{ $errors->first('firstname') }}</p>
                                    </div> 
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group @error('lastname') has-error @enderror">
                                        <input name="lastname" type="text" placeholder="{{ trans('app.lastname') }}" class="form-control" id="lastname" value="{{ old('lastname')?old('lastname'):$user->lastname }}">
                                        <label for="lastname">{{ trans('app.lastname') }}</label>
                                        <p class="help-block">{{ $errors->first('lastname') }}</p>
                                    </div> 
                                </div> 
                            </div> 

                            <div class="form-group @error('email') has-error @enderror">
                                <input name="email" type="text" placeholder="{{ trans('app.email') }}" class="form-control" id="email" value="{{ old('email')?old('email'):$user->email }}">
                                <label for="email">{{ trans('app.email') }}</label>
                                <p class="help-block">{{ $errors->first('email') }}</p>
                            </div>

                            <div class="row clear">
                                <div class="col-sm-6">
                                    <div class="form-group @error('password') has-error @enderror">
                                        <input name="password" type="password" placeholder="{{ trans('app.password') }}" class="form-control" id="password">
                                        <label for="password">{{ trans('app.password') }}</label>
                                        <p class="help-block">{{ $errors->first('password') }}</p>
                                    </div> 
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group @error('conf_password') has-error @enderror">
                                        <input name="conf_password" type="password" placeholder="{{ trans('app.conf_password') }}" class="form-control" id="conf_password">
                                        <label for="conf_password">{{ trans('app.conf_password') }}</label>
                                        <p class="help-block">{{ $errors->first('conf_password') }}</p>
                                    </div>   
                                </div> 
                            </div> 
 
                            <div class="form-group @error('mobile') has-error @enderror {{ ((empty($user->mobile) && !empty($display) && ($display->sms_alert=='1'))?'has-error':null) }}">
                                <input name="mobile" type="text" placeholder="{{ trans('app.mobile') }}" class="form-control" id="mobile" value="{{ old('mobile')?old('mobile'):$user->mobile }}">
                                <label for="mobile">{{ trans('app.mobile') }}</label>
                                <p class="help-block">{{ $errors->first('mobile') }}</p>
                            </div>

                            <div class="form-group @error('about') has-error @enderror">
                                <textarea name="about" type="text" placeholder="{{ trans('app.about') }}" class="form-control" id="about">{{ old('about')?old('about'):$user->about }}</textarea>
                                <label for="about">{{ trans('app.about') }}</label>
                                <p class="help-block">{{ $errors->first('about') }}</p>
                            </div> 
                            
                            <div class="row clear">
                                <div class="col-sm-6">   
                                </div>
                                <div class="col-sm-6 text-right">  
                                    <div class="btn-group">
                                        <button type="reset" class="btn btn-info">{{ trans('app.reset') }}</button>
                                        <button type="submit" class="btn thm-btn form-btn">{{ trans('app.update') }}</button>
                                    </div>
                                </div>
                            </div>     
                        </div>
                    {{ Form::close() }} 
                </div>
            </div>
        </div>
    </div>
</section>  
@endsection 

resources/views/frontend/client/report.blade.php
@extends('layouts.frontend')

@push('styles')
<link href="{{ asset('public/assets/css/jquery-ui.min.css') }}" rel='stylesheet'>
<link href="{{ asset('public/assets/css/select2.min.css') }}" rel='stylesheet'>
<link href="{{ asset('public/assets/css/dataTables.min.css') }}" rel='stylesheet'>
@endpush
 

@section('content')
<!-- Page --> 
<section id="dashboard" class="common-section">
    <div class="container">
        <div class="row"> 
            <div class="col-sm-12">
                <div class="about-us-text">
                    <h5 class="text-uppercase">{{ trans('app.reports') }}</h5>  
                </div>
            </div>
            
            <div class="col-sm-12">
                @include('backend.common.info')
                @yield('info.message')  
            </div>

            <div class="col-sm-12 table-responsive">
                <table class="dataTables table table-bordered" width="100%" cellspacing="0">
                    <thead class="bg-info"> 
                        <tr>
                            <th rowspan="2">#</th> 
                            <td width="100"> 
                                <input type="text" class="datepicker input-sm filter mb-1" id="start_date" placeholder="{{ trans('app.start_date') }}" autocomplete="off" /> 
                                <input type="text" class="datepicker input-sm filter" id="end_date" placeholder="{{ trans('app.end_date') }}" autocomplete="off"/>
                            </td>
                            <td> 
                                {{ Form::select('status', ["'0'"=>trans("app.pending"), '1'=>trans("app.complete"), '2'=>trans("app.stop")],  null,  ['placeholder' => trans("app.status"), 'id'=> 'status', 'class'=>'select2 filter input-sm']) }} 
                            </td> 
                            <td> 
                                {{ Form::select('department', $departments, null, ['id'=>'department', 'class'=>'select2 filter input-sm', 'placeholder'=> trans('app.department')]) }} 
                            </td>  
                            <td> 
                                {{ Form::select('counter', $counters, null, ['id'=>'counter', 'class'=>'select2 filter input-sm', 'placeholder'=> trans('app.counter')]) }} 
                            </td>   
                            <td> 
                                {{ Form::select('officer', $officers, null, ['id'=>'officer', 'class'=>'select2 filter input-sm', 'placeholder'=> trans('app.officer')]) }} 
                            </td>    
                            <td></td> 
                            <td></td> 
                        </tr> 
                        <tr> 
                            <th>{{ trans('app.token_no') }}</th> 
                            <th>{{ trans('app.status') }}</th>
                            <th>{{ trans('app.department') }}</th>
                            <th>{{ trans('app.counter') }}</th>
                            <th>{{ trans('app.officer') }}</th> 
                            <th>{{ trans('app.details') }}</th> 
                            <th>{{ trans('app.action') }}</th>
                        </tr> 
                    </thead>  
                </table>  
            </div>
        </div>
    </div>
</section> 


<!-- Preview Modal --> 
<div class="modal fade previewModal"  tabindex="-1" role="dialog" aria-labelledby="previewModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header bg-info">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="previewModalLabel">{{ trans('app.token') }}</h4>
      </div>
      <div class="modal-body text-center"></div>
      <div class="modal-footer">
        <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button> 
      </div>
    </div>
  </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('public/assets/js/jquery-ui.min.js') }}"></script> 
<script src="{{ asset('public/assets/js/dataTables.min.js') }}"></script> 
<script src="{{ asset('public/assets/js/select2.min.js') }}"></script>
<script src="{{ asset('public/assets/js/fastclick.min.js') }}"></script>
<script> 
(function(){
    // DATATABLE
    drawDataTable();
    // setInterval(function(){
    //     drawDataTable();
    // }, 10000);

    $("body").on("change",".filter", function(){
        drawDataTable();
    });

    function drawDataTable()
    {   
        $('.dataTables').DataTable().destroy();
        $('.dataTables').DataTable({
            responsive: true, 
            processing: true,
            serverSide: true,
            ajax: {
                url:'<?= route('client.token.data'); ?>',
                dataType: 'json',
                type    : 'post',
                data    : {
                    _token : '{{ csrf_token() }}', 
                    search: {
                        status     : $('#status').val(),
                        counter    : $('#counter').val(),
                        department : $('#department').val(),
                        officer    : $('#officer').val(),
                        start_date : $('#start_date').val(),
                        end_date   : $('#end_date').val(),
                    }
                }
            },
            columns: [ 
                { data: 'serial' },
                { data: 'token_no' },
                { data: 'status' },
                { data: 'department' },
                { data: 'counter' },
                { data: 'officer' }, 
                { data: 'details' }, 
                { data: 'options' }  
            ],  
            order: [ [0, 'desc'] ], 
            select    : true,
            pagingType: "full_numbers",
            lengthMenu: [[25, 50, 100, 150, 200, 500, -1], [25, 50, 100, 150, 200, 500, "All"]],
            dom: "<'row'<'col-sm-4'l><'col-sm-4 text-center'B><'col-sm-4'f>><'row'<'col-sm-12't>><'row'<'col-sm-6'i><'col-sm-6'p>>", 
            columnDefs: [
                { "orderable": false, "targets": [7] }
            ], 
            buttons: [
                { extend:'copy', text:'<i class="fa fa-copy"></i>', className:'btn-sm btn-info',exportOptions:{columns:':visible'}},
                { extend: 'print', text  :'<i class="fa fa-print"></i>', className:'btn-sm btn-info', exportOptions: { columns: ':visible',  modifier: { selected: null } }},  
                { extend: 'print', text:'<i class="fa fa-print"></i>  Selected', className:'btn-sm btn-info', exportOptions:{columns: ':visible'}},  
                { extend:'excel',  text:'<i class="fa fa-file-excel-o"></i>', className:'btn-sm btn-info',exportOptions:{columns:':visible'}},
                { extend:'pdf',  text:'<i class="fa fa-file-pdf-o"></i>',  className:'btn-sm btn-info',exportOptions:{columns:':visible'}}
            ] 
        });   
    } 

    // print token
    $("body").on("click", ".tokenPrint", function(e) { 
        e.preventDefault();
        $.ajax({
            url: $(this).attr('href'),
            type:'POST',
            dataType: 'json',
            data: {
                'id' : $(this).attr('data-token-id'),
                '_token':'<?php echo csrf_token() ?>'
            },
            success:function(data)
            {
                var content = "<style type=\"text/css\">@media print {"+
                       "html, body {display:block;margin:0!important; padding:0 !important;overflow:hidden;display:table;}"+
                       ".receipt-token {width:100vw;height:100vw;text-align:center}"+
                       ".receipt-token h4{margin:0;padding:0;font-size:7vw;line-height:7vw;text-align:center}"+
                       ".receipt-token h1{margin:0;padding:0;font-size:15vw;line-height:20vw;text-align:center}"+
                       ".receipt-token ul{margin:0;padding:0;font-size:7vw;line-height:8vw;text-align:center;list-style:none;}"+
                       ".receipt-token img{width:500px}"+
                       "}</style>";
                content += "<div class=\"receipt-token\">";
                content += "<img src='{{ asset('public/assets/img/icons/logo.jpg') }}' alt='logo'/>";
                content += "<h4>{{ \Session::get('app.title') }}</h4>";
                content += "<h1>"+data.token_no+"</h1>";
                content +="<ul class=\"list-unstyled\">";
                content += "<li><strong>{{ trans('app.department') }} </strong>"+data.department+"</li>";
                content += "<li><strong>{{ trans('app.counter') }} </strong>"+data.counter+"</li>";
                content += "<li><strong>{{ trans('app.officer') }} </strong>"+data.firstname+' '+data.lastname+"</li>";
                if (data.note)
                {
                    content += "<li><strong>{{ trans('app.note') }} </strong>"+data.note+"</li>";
                }
                content += "<li><strong>{{ trans('app.date') }} </strong>"+data.created_at+"</li>";
                content += "</ul>";  
                content += "</div>";    
     
                // print 
                // printThis(content); 
                $('.previewModal').modal('show').find('.modal-body').html(content);

            }, error:function(err){
                alert('failed!');
            }
        });  
    });
  
    // datepicker
    $(".datepicker").datepicker({
        dateFormat: "mm/dd/yy",
        changeMonth: true,
        changeYear: true
    });

    // enable FastClick 
    FastClick.attach(document.body); 
    
    // select 2 dropdown  
    // var $customSelects = $('select:not(.no-select)'); 
    // $customSelects.select2({ 
    //     templateResult: function(result, container) {
    //         if (!result.id) {
    //             return result.text;
    //         }
    //         container.className += ' needsclick';
    //         return result.text;
    //     },
    //     placeholder: 'Select Option',
    //     allowClear: true
    // });
    // // add needsclick to all element of the select2 for supports in IOS-ANDROID
    // $customSelects.each(function(index, el){
    //     $(el).data('select2').$container.find('*').addClass('needsclick');
    // });  

})(); 
</script>
@endpush